Skip to content

Amazon Products By Category API (V1)

GET
API health status
Healthy Available Limited Mostly unavailable No data
Loading health status...

Get Amazon products By Category data, including title, price, and rating, for category-based product discovery and returns product information such as title, price, and rating.

Parameters

NameInTypeRequiredDefaultDescription
tokenquerystringYes-Authentication token for this API service.
categoryIdquerystringYes-For example: https://amazon.com/s?node=172282 - the Amazon Category ID is 172282
countryquerystringNoUSCountry code for the Amazon product.

Available Values:
- US: United States
- AU: Australia
- BR: Brazil
- CA: Canada
- CN: China
- FR: France
- DE: Germany
- IN: India
- IT: Italy
- MX: Mexico
- NL: Netherlands
- SG: Singapore
- ES: Spain
- TR: Turkey
- AE: United Arab Emirates
- GB: United Kingdom
- JP: Japan
- SA: Saudi Arabia
- PL: Poland
- SE: Sweden
- BE: Belgium
- EG: Egypt
- ZA: South Africa
- IE: Ireland
sortByquerystringNoRELEVANCESort by.

Available Values:
- RELEVANCE: Relevance
- LOWEST_PRICE: Lowest Price
- HIGHEST_PRICE: Highest Price
- REVIEWS: Reviews
- NEWEST: Newest
- BEST_SELLERS: Best Sellers
pagequeryintegerNo1Page number for pagination.

Code Samples

💡 Environment Note

Use https://api.justoneapi.com by default. Mainland China users can use http://47.117.133.51:30015 instead.

bash
curl -X GET "https://api.justoneapi.com/api/amazon/get-category-products/v1?token=YOUR_API_KEY&categoryId=VALUE"
text
I want to use the "Products By Category (V1)" API from Just One API.
Base URL: use https://api.justoneapi.com by default. Mainland China users can use http://47.117.133.51:30015 instead.
API Path: /api/amazon/get-category-products/v1?token=YOUR_API_KEY&categoryId=VALUE
API Endpoint: BASE_URL + /api/amazon/get-category-products/v1?token=YOUR_API_KEY&categoryId=VALUE
HTTP Method: GET
Authentication: Append the "token" query parameter to the URL.
OpenAPI Definition: https://docs.justoneapi.com/openapi/amazon/products-by-category-v1-en.json

Parameters:
- token (query): Authentication token for this API service. (Required)
- categoryId (query): For example: https://amazon.com/s?node=172282 - the Amazon Category ID is 172282 (Required)
- country (query): Country code for the Amazon product.

Available Values:
- `US`: United States
- `AU`: Australia
- `BR`: Brazil
- `CA`: Canada
- `CN`: China
- `FR`: France
- `DE`: Germany
- `IN`: India
- `IT`: Italy
- `MX`: Mexico
- `NL`: Netherlands
- `SG`: Singapore
- `ES`: Spain
- `TR`: Turkey
- `AE`: United Arab Emirates
- `GB`: United Kingdom
- `JP`: Japan
- `SA`: Saudi Arabia
- `PL`: Poland
- `SE`: Sweden
- `BE`: Belgium
- `EG`: Egypt
- `ZA`: South Africa
- `IE`: Ireland
- sortBy (query): Sort by.

Available Values:
- `RELEVANCE`: Relevance
- `LOWEST_PRICE`: Lowest Price
- `HIGHEST_PRICE`: Highest Price
- `REVIEWS`: Reviews
- `NEWEST`: Newest
- `BEST_SELLERS`: Best Sellers
- page (query): Page number for pagination.

Return format: JSON

Response Handling & Error Codes:
1. Business results should be determined by the "code" field in the response body (code 0 means success).
2. Timeout Recommendation: Set the request timeout to 120 seconds. If 120 seconds is too long for your use case, use at least 60 seconds, but a small number of requests may time out before receiving a result.
3. Business Code Reference:
   - 0: Success
   - 100: Invalid or Inactive Token
   - 301: Collection Failed. Please Retry.
   - 302: Rate Limit Exceeded
   - 303: Daily Quota Exceeded
   - 400: Invalid Parameters
   - 500: Internal Server Error
   - 600: Permission Denied
   - 601: Insufficient Balance
   - 602: Token Budget Exceeded
4. Code 601 means the shared account balance is insufficient. Code 602 means the current API token's own cumulative budget limit has been reached. Token budget limits do not transfer funds out of the shared account balance.

Please help me write a script in my preferred programming language to call this API and handle the response.
python
import requests

BASE_URL = "https://api.justoneapi.com"  # Mainland China: "http://47.117.133.51:30015"

url = BASE_URL + "/api/amazon/get-category-products/v1?token=YOUR_API_KEY&categoryId=VALUE"
response = requests.get(url)
print(response.json())
js
const BASE_URL = "https://api.justoneapi.com"; // Mainland China: "http://47.117.133.51:30015"
const url = BASE_URL + "/api/amazon/get-category-products/v1?token=YOUR_API_KEY&categoryId=VALUE";

const response = await fetch(url, {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        final String BASE_URL = "https://api.justoneapi.com"; // Mainland China: "http://47.117.133.51:30015"
        final String url = BASE_URL + "/api/amazon/get-category-products/v1?token=YOUR_API_KEY&categoryId=VALUE";

        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
package main

import (
	"fmt"
	"io"
	"net/http"
)

const BASE_URL = "https://api.justoneapi.com" // Mainland China: "http://47.117.133.51:30015"

func main() {
	client := &http.Client{}
	url := BASE_URL + "/api/amazon/get-category-products/v1?token=YOUR_API_KEY&categoryId=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
<?php
$BASE_URL = "https://api.justoneapi.com"; // Mainland China: "http://47.117.133.51:30015"
$url = $BASE_URL . "/api/amazon/get-category-products/v1?token=YOUR_API_KEY&categoryId=VALUE";

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Response Example

Loading the latest successful example...